#include <stdio.h>
#include <stdlib.h>

int main()
{
    long int n,m;
    scanf("%li",&n);
    scanf("%li",&m);
    if ((n<2)||(m<2))
    {
        printf("%li",n*m);
    }
    else
    {
        printf("%li",n*m-((n-2)*(m-2)+1)/2);
    }
}